import * as React from 'react';
import {
  render,
  screen
} from '@testing-library/react';
import '@testing-library/jest-dom';
import * as CheckControlBase from '@tesseract-design/web-base-checkcontrol';
import { RadioTickBox } from '.';

jest.mock('@tesseract-design/web-base-checkcontrol');

describe('RadioTickBox', () => {
  it('should render a radio button', () => {
    render(
      <RadioTickBox />
    );
    const checkbox = screen.getByRole('radio');
    expect(checkbox).toBeInTheDocument();
  });
});
